<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_2b2486424e6dfb906c925739c329b" . "e7c" => base64_decode("aGVhZGV" . "y"), "_8ec8f26c742278f90615" . "f50d682eea79" => base64_decode("UE9TVA" . "=="), "_bd8510ebf29b0f687c25c" . "90c740715d8" => base64_decode("aHR0cF9yZXNwb25zZV9jb" . "2Rl"), "_e06da3ffba2e84b8e6f94bd2d6c" . "a3c52" => base64_decode("Y3JlYXRlX2lud" . "GVybmFsX2xpbm" . "s="), "_781e2532c1e56969c535c1184064bae" . "6" => base64_decode("b25D" . "b3Jl" . "Qm9v" . "dA=="), "_ab8b6a5b56b4cfd" . "73230ed5cad4fb54" . "c" => base64_decode("Y29yZS5ib2" . "90ZWQ="), "_87daa84e346f6" . "420a3f3426e05d" . "16a7b" => base64_decode("L" . "w" . "=" . "="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_fad3a97fa7919b1999c977c8bd" . "ad925a" => base64_decode("c3ltZm9" . "ueV9yZX" . "F1ZXN0"), "_8fec21706bd2" . "43b37ecf62b1c" . "af8fb8a" => base64_decode("Y2x" . "p"), "_c91b0ff19f81a8873a4593" . "a23719472c" => base64_decode("cn" . "Ry" . "aW" . "0="), "_e6d18c4" . "93faa20d" . "5d45c075" . "1d2c02ce" . "6" => base64_decode("TG9jYX" . "Rpb246" . "IA=="), "_eea266d1da508f42d" . "eea49cc3add68ec" => base64_decode("U" . "F" . "V" . "U"), "_db7b295629faa1602" . "7a2c263095eba70" => base64_decode("cGhwX3NhcGlfb" . "mFtZQ=="), "_14feb73099827a30c31c0b996c13f13" . "c" => base64_decode("b25LZXJuZWx" . "SZXF1ZXN0"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c91b0ff19f" . "81a8873a459" . "3a23719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_87daa84e346f6420a3f3426e05d16a7" . "b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_14feb73099827a30c31c0b996c13" . "f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ab8b6a5b56b4cf" . "d73230ed5cad4fb" . "54c"] => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_781e2532c1e56969c535c118" . "4064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00bbe69e8159" . "697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8ec8f26c7" . "42278f9061" . "5f50d682ee" . "a79"] || $request->getMethod() === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_eea266d1da50" . "8f42deea49cc3" . "add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_db7b295629faa16027a2c2630" . "95eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8fec21706bd243b37ecf62b1caf8" . "fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fad3a97fa7919b1" . "999c977c8bdad925" . "a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e06da3ffba2e84b" . "8e6f94bd2d6ca3c5" . "2"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bd8510ebf29b0f687c25" . "c90c740715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2b2486424e6dfb906c925" . "739c329be7c"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e6d18c4" . "93faa20d" . "5d45c075" . "1d2c02ce" . "6"] . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e06da3ffba2e84b" . "8e6f94bd2d6ca3c5" . "2"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}